from armarx_skills.core.errors import SkillError
from armarx_skills.manager.skill_id import SkillID


class SkillNotFoundError(SkillError):

    def __init__(self, skill_id: SkillID):
        super().__init__(f"The skill {skill_id} was not found in skill descriptions.")
